#include <SDL2/SDL.h>

#ifndef CRTL_H
#define CRTL_H

enum Game_Interaction {
    PLAYER_UP,
    PLAYER_DOWN,
    PLAYER_RIGHT,
    PLAYER_LEFT
};

struct InputMap { 
    SDL_Scancode player_up;
    SDL_Scancode player_down;
    SDL_Scancode player_left;
    SDL_Scancode player_right;
    SDL_Scancode player_rope;
    SDL_Scancode player_pull_rope;
};

extern struct InputMap input_map;

void get_input_map(void); 

#endif

