#ifndef _DEFGAME
#define _DEFGAME 

#include <time.h>
#include "environment.h"
#include "datastructures/datatypes.h"
#include "vect.h"
#include "garbo.h"
#include "controlscheme.h"
#include "c-colours/colours.h"
#include "types.h"
#include "draw.h"

extern GlobWorld world;
extern int level;

void handle_input_event(SDL_Event event);

// add a motor to the world
void add_motor(Body *thing, double x, double y); 

bool get_motor_active(Body *thing, int i); 

/* array of all the things in the world and their kinds */
extern void startgame(SDL_Renderer * ren) ;
extern void process_keydown(SDL_Keysym key);
extern void process_keyup(SDL_Keysym key);
extern void step(int interval);
extern player_st player;
extern int level;

#endif
