#include <time.h>
#include <string.h>
#include <stdio.h>

#ifndef _DEFLOGGER
#define _DEFLOGGER


typedef enum {
    // high-low priority
    // low-high verbosity
    SILENT, ERROR, WARN, INFO, DEBUG
} loggerlevel;


extern loggerlevel LOGLEVEL;
extern loggerlevel STDOUTLEVEL;

void logwrite(loggerlevel level, char message[]);

void set_loglevel(loggerlevel echo, loggerlevel write);

#endif
